ISNSD(8)

NAME
isnsd - iSNS server daemon

SYNOPSIS
isnsd [-f] [-4] [-6] [-c filename] [-d debug-facility] [--dump-db] [--init]

DESCRIPTION
Isnsd implements the iSNS protocol as defined in RFC 4171. iSNS is a discovery protocol for iSCSI and iFCP.

OPTIONS
By default, isnsd will take most of its settings from the configuration file /etc/isns/isnsd.conf, with the exception of the following options:

--config filename, -c filename
    This option overrides the default configuration file.

--foreground,-f
    By default, isnsd will put itself into the background. By specifying this option, you can tell it to run in the foreground. Any error messages or debug output will be printed to the console rather than being sent to syslog.

-4  tells isnsd to create an IPv4 socket only. Normally, it defaults to IPv6 (which will accept both IPv4 and IPv6 connections).

-6  tells isnsd explicitly to create an IPv6 socket only. Since it defaults to IPv6 anyway, this is really a no-op.

--debug facility, -d facility
    enables debugging. Valid facilities are

socket | network send/receive
auth | authentication and security related information
message | iSNS protocol layer
state | database state
scn | SCN (state change notification) messages
esi | ESI (entity status inquiry) messages
all | all of the above

--dump-db
    This is a helper function that will read the database from the file system, and display it in human readable form. When using this option, isnsd will not open any sockets, and terminate immediately after display the database.

    This option is intended to be used by the administrator when suspecting that the database contains bad/inconsistent information.

--init
    This option will create the server's authentication key, and the required DSA parameters. The private key is stored in the file specified by the AuthKey option (usually /etc/isns/auth_key). The public portion of the key is written to same directory, with the suffix .pub appended to the key file name.

SEE ALSO
RFC 4171, isnsadm(8), isnsdd(8), isns_config(5).

AUTHORS
Olaf Kirch <olaf.kirch@oracle.com>